clear
clc
close all
tspan = [0 500]; % Range for the independent variable time
y0 = [0.05; 0; 0; 0]; % Initial values for the dependent variables i.e. Ca,Cb,Cc,and Cd
[t,y]=ode45(@ODEfun,tspan,y0)
z=size(y);
k=2.2;
for i=1:z(1,1)
ra(i) = - (k * y(i,1) * y(i,2));% Calculating the values of rate from its expression
end
plot(t,-ra)
xlabel('Time(s)')
ylabel('Reaction Rate(mol/dm^3.s)')
axis([0 250 0 0.0002])
title('Reaction rate-time trajectory')
